org.jbpm.casemgmt.impl.utils

## Class DefaultCaseServiceConfigurator

- java.lang.Object
- - org.jbpm.casemgmt.impl.utils.DefaultCaseServiceConfigurator

- All Implemented Interfaces:
    CaseServiceConfigurator

      public class DefaultCaseServiceConfigurator
      extends Object
      implements CaseServiceConfigurator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AdvanceCaseRuntimeDataService` | `advanceCaseRuntimeDataService`
    `protected AuthorizationManager` | `authorizationManager`
    `protected DefinitionService` | `bpmn2Service`
    `protected CaseIdGenerator` | `caseIdGenerator`
    `protected CaseInstanceMigrationService` | `caseInstanceMigrationService`
    `protected CaseRuntimeDataService` | `caseRuntimeDataService`
    `protected CaseService` | `caseService`
    `protected DeploymentService` | `deploymentService`
    `protected javax.persistence.EntityManagerFactory` | `emf`
    `protected org.kie.internal.identity.IdentityProvider` | `identityProvider`
    `protected ProcessInstanceMigrationService` | `migrationService`
    `protected ProcessService` | `processService`
    `protected QueryService` | `queryService`
    `protected RuntimeDataService` | `runtimeDataService`
    `protected UserTaskService` | `userTaskService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultCaseServiceConfigurator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `configureServices(String puName, org.kie.internal.identity.IdentityProvider identityProvider)`
    `DeploymentUnit` | `createDeploymentUnit(String groupId, String artifactid, String version)`
    `AdvanceCaseRuntimeDataService` | `getAdvancedCaseRuntimeDataService()`
    `AuthorizationManager` | `getAuthorizationManager()`
    `DefinitionService` | `getBpmn2Service()`
    `CaseIdGenerator` | `getCaseIdGenerator()`
    `CaseInstanceMigrationService` | `getCaseInstanceMigrationService()`
    `CaseRuntimeDataService` | `getCaseRuntimeDataService()`
    `CaseService` | `getCaseService()`
    `DeploymentService` | `getDeploymentService()`
    `javax.persistence.EntityManagerFactory` | `getEmf()`
    `org.kie.internal.identity.IdentityProvider` | `getIdentityProvider()`
    `ProcessInstanceMigrationService` | `getMigrationService()`
    `ProcessService` | `getProcessService()`
    `QueryService` | `getQueryService()`
    `RuntimeDataService` | `getRuntimeDataService()`
    `UserTaskService` | `getUserTaskService()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### emf

          protected javax.persistence.EntityManagerFactory emf

    - #### deploymentService

          protected DeploymentService deploymentService

    - #### bpmn2Service

          protected DefinitionService bpmn2Service

    - #### runtimeDataService

          protected RuntimeDataService runtimeDataService

    - #### processService

          protected ProcessService processService

    - #### userTaskService

          protected UserTaskService userTaskService

    - #### queryService

          protected QueryService queryService

    - #### caseRuntimeDataService

          protected CaseRuntimeDataService caseRuntimeDataService

    - #### advanceCaseRuntimeDataService

          protected AdvanceCaseRuntimeDataService advanceCaseRuntimeDataService

    - #### caseService

          protected CaseService caseService

    - #### caseInstanceMigrationService

          protected CaseInstanceMigrationService caseInstanceMigrationService

    - #### migrationService

          protected ProcessInstanceMigrationService migrationService

    - #### identityProvider

          protected org.kie.internal.identity.IdentityProvider identityProvider

    - #### caseIdGenerator

          protected CaseIdGenerator caseIdGenerator

    - #### authorizationManager

          protected AuthorizationManager authorizationManager

  - ### Constructor Detail

    - #### DefaultCaseServiceConfigurator

          public DefaultCaseServiceConfigurator()

  - ### Method Detail

    - #### configureServices

          public void configureServices(String puName,
                                        org.kie.internal.identity.IdentityProvider identityProvider)

      Specified by:
        `configureServices` in interface `CaseServiceConfigurator`

    - #### close

          public void close()

      Specified by:
        `close` in interface `CaseServiceConfigurator`

    - #### getDeploymentService

          public DeploymentService getDeploymentService()

      Specified by:
        `getDeploymentService` in interface `CaseServiceConfigurator`

    - #### getBpmn2Service

          public DefinitionService getBpmn2Service()

      Specified by:
        `getBpmn2Service` in interface `CaseServiceConfigurator`

    - #### getRuntimeDataService

          public RuntimeDataService getRuntimeDataService()

      Specified by:
        `getRuntimeDataService` in interface `CaseServiceConfigurator`

    - #### getProcessService

          public ProcessService getProcessService()

      Specified by:
        `getProcessService` in interface `CaseServiceConfigurator`

    - #### getUserTaskService

          public UserTaskService getUserTaskService()

      Specified by:
        `getUserTaskService` in interface `CaseServiceConfigurator`

    - #### getQueryService

          public QueryService getQueryService()

      Specified by:
        `getQueryService` in interface `CaseServiceConfigurator`

    - #### getCaseRuntimeDataService

          public CaseRuntimeDataService getCaseRuntimeDataService()

      Specified by:
        `getCaseRuntimeDataService` in interface `CaseServiceConfigurator`

    - #### getCaseService

          public CaseService getCaseService()

      Specified by:
        `getCaseService` in interface `CaseServiceConfigurator`

    - #### getCaseInstanceMigrationService

          public CaseInstanceMigrationService getCaseInstanceMigrationService()

      Specified by:
        `getCaseInstanceMigrationService` in interface `CaseServiceConfigurator`

    - #### getMigrationService

          public ProcessInstanceMigrationService getMigrationService()

      Specified by:
        `getMigrationService` in interface `CaseServiceConfigurator`

    - #### getIdentityProvider

          public org.kie.internal.identity.IdentityProvider getIdentityProvider()

      Specified by:
        `getIdentityProvider` in interface `CaseServiceConfigurator`

    - #### getCaseIdGenerator

          public CaseIdGenerator getCaseIdGenerator()

      Specified by:
        `getCaseIdGenerator` in interface `CaseServiceConfigurator`

    - #### getAuthorizationManager

          public AuthorizationManager getAuthorizationManager()

      Specified by:
        `getAuthorizationManager` in interface `CaseServiceConfigurator`

    - #### getAdvancedCaseRuntimeDataService

          public AdvanceCaseRuntimeDataService getAdvancedCaseRuntimeDataService()

      Specified by:
        `getAdvancedCaseRuntimeDataService` in interface `CaseServiceConfigurator`

    - #### createDeploymentUnit

          public DeploymentUnit createDeploymentUnit(String groupId,
                                                     String artifactid,
                                                     String version)

      Specified by:
        `createDeploymentUnit` in interface `CaseServiceConfigurator`

    - #### getEmf

          public javax.persistence.EntityManagerFactory getEmf()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.